lucene-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From DM Smith <dmsmith...@gmail.com>
Subject Re: Java 5 creeped again to Benchmark?
Date Thu, 13 Aug 2009 20:57:38 GMT
On 08/13/2009 01:56 PM, Mark Miller wrote:
> Shai Erera wrote:
>> So far Mike has resolved the issue again, so it sounds like we go w/ 
>> it ?
>>
> Lazy consensus - so its lookin good so far - but someone could still 
> derail us I suppose.
>
I've been a stick-in-the-mud wrt migrating to Java 5 in the past.

That said, I think that tests and benchmarks are QA tools and as such 
shouldn't be constrained to a particular version of Java. Even though 
code may be 1.4.2 most are using Java 5 or 6 for runtime. I think it is 
reasonable to benchmark using what end users use.

-- DM

---------------------------------------------------------------------
To unsubscribe, e-mail: java-dev-unsubscribe@lucene.apache.org
For additional commands, e-mail: java-dev-help@lucene.apache.org


Mime
View raw message